List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.List(ctx, operations.C1APIAppV1AppUserServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppUserServiceListResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUser.list({
appId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/app_users \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/app_users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/app_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"appPath": "<string>",
"appUser": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emails": [
"<string>"
],
"employeeIds": [
"<string>"
],
"id": "<string>",
"identityUserId": "<string>",
"isExternal": true,
"profile": {},
"status": {
"details": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernames": [
"<string>"
]
},
"identityUserPath": "<string>",
"lastUsagePath": "<string>"
}
],
"nextPageToken": "<string>"
}AppUsers
List
List app user accounts within a specific app, with pagination support.
GET
/
api
/
v1
/
apps
/
{app_id}
/
app_users
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.List(ctx, operations.C1APIAppV1AppUserServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppUserServiceListResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUser.list({
appId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the app to list users for.
Query Parameters
The maximum number of results to return per page.
The token for fetching the next page of results.
Response
200 - application/json
The response message for listing app users.
Was this page helpful?
⌘I